#include "Spherical.h"

#include <math.h>

Spherical::Spherical() {
  this->horizontalAngle = 0;
  this->verticalAngle = 0;
  this->distance = 0;
}

// Spherical::Spherical(float polarAngle, float elevationAngle, float distance)
// {
//   this->horizontalAngle = polarAngle;
//   this->verticalAngle = elevationAngle;
//   this->distance = distance;
// }

Spherical::Spherical(float distance, Angle horizontalAngle, Angle verticalAngle)
    : distance(distance), horizontalAngle(horizontalAngle),
      verticalAngle(verticalAngle) {}

const Spherical Spherical::zero = Spherical(0, 0, 0);

float Spherical::GetSwing() {
  // Not sure if this is correct
  return sqrtf(horizontalAngle * horizontalAngle +
               verticalAngle * verticalAngle);
}